package uk.co.his.test.jaxb.model;

import java.io.PrintStream;
import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType( XmlAccessType.FIELD )
@XmlRootElement(name="Root")
public class Root {
	@XmlElement(name="name")
	public String name;
	@XmlElement(name="children")
	List<Child> children = new ArrayList<Child>();
	
	public void addChild(Child child) {
		children.add(child);
	}
	
	public void printOut(PrintStream w) {
		w.println("Root " + name);
		for(Child c: children) {
			c.printOut(w);
		}
	}
}
